package de.intevation.flys.importer;

public class Config
{
    public static final String DRY_RUN =
        "flys.backend.importer.dry.run";

    public static final String INFO_GEW_FILE =
        "flys.backend.importer.infogew.file";

    public static final String ANNOTATION_TYPES =
        "flys.backend.importer.annotation.types";

    public static final String SKIP_GAUGES =
        "flys.backend.importer.skip.gauges";

    public static final String SKIP_ANNOTATIONS =
        "flys.backend.importer.skip.annotations";

    public static final String SKIP_PRFS =
        "flys.backend.importer.skip.prfs";

    public static final String SKIP_HYKS =
        "flys.backend.importer.skip.hyks";

    public static final String SKIP_WST =
        "flys.backend.importer.skip.wst";

    public static final String SKIP_EXTRA_WSTS =
        "flys.backend.importer.skip.extra.wsts";

    public static final String SKIP_FIXATIONS =
        "flys.backend.importer.skip.fixations";

    public static final String SKIP_OFFICIAL_LINES =
        "flys.backend.importer.skip.official.lines";

    public static final String SKIP_FLOOD_WATER =
        "flys.backend.importer.skip.flood.water";

    public static final String SKIP_FLOOD_PROTECTION =
        "flys.backend.importer.skip.flood.protection";

    public static final String SKIP_BED_HEIGHT_SINGLE =
        "flys.backend.importer.skip.bed.height.single";

    public static final String SKIP_BED_HEIGHT_EPOCH =
        "flys.backend.importer.skip.bed.height.epoch";

    public static final String SKIP_SEDIMENT_DENSITY =
        "flys.backend.importer.skip.sediment.density";

    public static final String SKIP_MORPHOLOGICAL_WIDTH =
        "flys.backend.importer.skip.morphological.width";

    public static final String SKIP_FLOW_VELOCITY =
        "flys.backend.importer.skip.flow.velocity";

    public static final String SKIP_SEDIMENT_YIELD =
        "flys.backend.importer.skip.sediment.yield";

    public static final String SKIP_WATERLEVELS =
        "flys.backend.importer.skip.waterlevels";


    public static final Config INSTANCE = new Config();

    private Config () {
    }

    public boolean dryRun() {
        return Boolean.getBoolean(DRY_RUN);
    }

    public String getInfoGewFile() {
        return System.getProperty(INFO_GEW_FILE);
    }

    public String getAnnotationTypes() {
        return System.getProperty(ANNOTATION_TYPES);
    }

    public boolean skipGauges() {
        return Boolean.getBoolean(SKIP_GAUGES);
    }

    public boolean skipAnnotations() {
        return Boolean.getBoolean(SKIP_ANNOTATIONS);
    }

    public boolean skipPRFs() {
        return Boolean.getBoolean(SKIP_PRFS);
    }

    public boolean skipHYKs() {
        return Boolean.getBoolean(SKIP_HYKS);
    }

    public boolean skipWst() {
        return Boolean.getBoolean(SKIP_WST);
    }

    public boolean skipExtraWsts() {
        return Boolean.getBoolean(SKIP_EXTRA_WSTS);
    }

    public boolean skipFixations() {
        return Boolean.getBoolean(SKIP_FIXATIONS);
    }

    public boolean skipOfficialLines() {
        return Boolean.getBoolean(SKIP_OFFICIAL_LINES);
    }

    public boolean skipFloodWater() {
        return Boolean.getBoolean(SKIP_FLOOD_WATER);
    }

    public boolean skipFloodProtection() {
        return Boolean.getBoolean(SKIP_FLOOD_PROTECTION);
    }

    public boolean skipBedHeightSingle() {
        return Boolean.getBoolean(SKIP_BED_HEIGHT_SINGLE);
    }

    public boolean skipBedHeightEpoch() {
        return Boolean.getBoolean(SKIP_BED_HEIGHT_EPOCH);
    }

    public boolean skipSedimentDensity() {
        return Boolean.getBoolean(SKIP_SEDIMENT_DENSITY);
    }

    public boolean skipMorphologicalWidth() {
        return Boolean.getBoolean(SKIP_MORPHOLOGICAL_WIDTH);
    }

    public boolean skipFlowVelocity() {
        return Boolean.getBoolean(SKIP_FLOW_VELOCITY);
    }

    public boolean skipSedimentYield() {
        return Boolean.getBoolean(SKIP_SEDIMENT_YIELD);
    }

    public boolean skipWaterlevels() {
        return Boolean.getBoolean(SKIP_WATERLEVELS);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
